List members
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieves the teachers and students for a class. Note that if the delegated token is used, members can only be seen by other members of the class.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EduRoster.ReadBasic |
| Delegated (personal Microsoft account) | Not supported |
| Application | EduRoster.Read.All, EduRoster.ReadWrite.All plus Member.Read.Hidden |
HTTP request
GET /education/classes/{id}/members
Optional query parameters
This method supports the OData Query Parameters to help customize the response.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a collection of educationUser objects in the response body.
Example
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/education/classes/11016/members
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "13013",
"displayName": "Ora Klein",
"givenName": "Ora",
"middleName": " ",
"surname": "Klein",
"mail": "OraK@contoso.com",
"mobilePhone": "+1 (253) 555-0101",
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"externalSource": "School of Fine Art",
"mailingAddress": {
"city": "Buffalo",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "NY",
"street": "12345 Main St."
},
"primaryRole": "teacher",
"externalId": "13013",
"teacherNumber": "8802",
"residenceAddress": {
"city": "Los Angeles",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Main St."
},
},
{
"id": "13005",
"displayName": "Erna Parker",
"givenName": "Erna",
"middleName": " ",
"surname": "Parker",
"mail": "ernap@contoso.com",
"mobilePhone": "+1 (253) 555-0104",
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"externalSource": "School of Fine Art",
"mailingAddress": {
"city": "Buffalo",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "NY",
"street": "12345 Main St."
},
"primaryRole": "student",
"externalId": "13005",
"birthDate": "2001-01-01T00:00:00Z",
"gender": "female",
"grade": "9",
"graduationYear": "2019",
"studentNumber": "13005",
"residenceAddress": {
"city": "Long Beach",
"countryOrRegion": "United States",
"postalCode": "98055",
"state": "CA",
"street": "12345 Maple St."
},
}
]
}
Feedback
Submit and view feedback for